Bug 6822 - RIS export problem in opac-export.pl with parsing the MARC
Summary: RIS export problem in opac-export.pl with parsing the MARC
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) minor (vote)
Assignee: Galen Charlton
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks: 6769
  Show dependency treegraph
 
Reported: 2011-08-30 18:31 UTC by stevecallender
Modified: 2013-12-05 20:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
proposed bugfix (962 bytes, patch)
2011-08-30 18:52 UTC, Galen Charlton
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description stevecallender 2011-08-30 18:31:38 UTC
Problem in opac-export.pl in the call to marc2ris. 
It's already a MARC::Record objection, so attempting to convert $marc to a MARC record objection is breaking the output.
Comment 1 Galen Charlton 2011-08-30 18:35:32 UTC
The bug has the effect of causing the RIS export to not be properly populated.
Comment 2 Galen Charlton 2011-08-30 18:52:31 UTC
Created attachment 5230 [details] [review]
proposed bugfix
Comment 3 Galen Charlton 2011-08-30 18:53:12 UTC
Note that this patch is required for the fix for bug 6769 to work.
Comment 4 Ian Walls 2011-08-30 18:59:16 UTC
Easy to read change, clear what the change does, marking as Passed QA
Comment 5 Chris Cormack 2011-09-01 09:40:45 UTC
Patch pushed, please test
Comment 6 Chris Nighswonger 2011-10-26 18:02:23 UTC
The fix for this bug was published in the 3.4.5 release. If you were the reporter of this bug, please take time to verify the fix and update the status of this bug report accordingly. If the bug is fixed to your satisfaction, please close this report.
Comment 7 Jared Camins-Esakov 2012-12-31 00:00:35 UTC
There have been no further reports of problems so I am marking this bug resolved.